Fiscal Period¶
Get¶
HTTP Request
GET /api/v1/fiscal-periods/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "status": "CREATED",
17 "displayId": "string",
18 "erpSystemId": 0,
19 "erpSystemDisplayId": "string",
20 "year": 0,
21 "month": 0,
22 "day": 0,
23 "postingPeriod": 0,
24 "yearShift": 0,
25 "fiscalVariantId": 0,
26 "fiscalVariantDisplayId": "string"
27 }
28}
Update¶
HTTP Request
PUT /api/v1/fiscal-periods/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "status": "CREATED",
4 "displayId": "string",
5 "erpSystemId": 0,
6 "erpSystemDisplayId": "string",
7 "year": 0,
8 "month": 0,
9 "day": 0,
10 "postingPeriod": 0,
11 "yearShift": 0,
12 "fiscalVariantId": 0,
13 "fiscalVariantDisplayId": "string"
14}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "status": "CREATED",
17 "displayId": "string",
18 "erpSystemId": 0,
19 "erpSystemDisplayId": "string",
20 "year": 0,
21 "month": 0,
22 "day": 0,
23 "postingPeriod": 0,
24 "yearShift": 0,
25 "fiscalVariantId": 0,
26 "fiscalVariantDisplayId": "string"
27 }
28}
Delete¶
HTTP Request
DELETE /api/v1/fiscal-periods/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {}
15}
Delete Or Decommission¶
HTTP Request
PUT /api/v1/fiscal-periods/remove/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {}
15}
Delete Or Decommission All¶
HTTP Request
PUT /api/v1/fiscal-periods/remove/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
none |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {}
15}
Decommission¶
HTTP Request
PUT /api/v1/fiscal-periods/decommission/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "status": "CREATED",
17 "displayId": "string",
18 "erpSystemId": 0,
19 "erpSystemDisplayId": "string",
20 "year": 0,
21 "month": 0,
22 "day": 0,
23 "postingPeriod": 0,
24 "yearShift": 0,
25 "fiscalVariantId": 0,
26 "fiscalVariantDisplayId": "string"
27 }
28}
Decommission By Modification Date Before¶
HTTP Request
PUT /api/v1/fiscal-periods/decommission/modified-before/{modified_before}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
modified_before |
path |
string(date-time) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "status": "CREATED",
18 "displayId": "string",
19 "erpSystemId": 0,
20 "erpSystemDisplayId": "string",
21 "year": 0,
22 "month": 0,
23 "day": 0,
24 "postingPeriod": 0,
25 "yearShift": 0,
26 "fiscalVariantId": 0,
27 "fiscalVariantDisplayId": "string"
28 }
29 ]
30}
Decommission Before Now¶
HTTP Request
PUT /api/v1/fiscal-periods/decommission/modified-before-now
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "status": "CREATED",
18 "displayId": "string",
19 "erpSystemId": 0,
20 "erpSystemDisplayId": "string",
21 "year": 0,
22 "month": 0,
23 "day": 0,
24 "postingPeriod": 0,
25 "yearShift": 0,
26 "fiscalVariantId": 0,
27 "fiscalVariantDisplayId": "string"
28 }
29 ]
30}
Decommission All¶
HTTP Request
PUT /api/v1/fiscal-periods/decommission/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
none |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "status": "CREATED",
18 "displayId": "string",
19 "erpSystemId": 0,
20 "erpSystemDisplayId": "string",
21 "year": 0,
22 "month": 0,
23 "day": 0,
24 "postingPeriod": 0,
25 "yearShift": 0,
26 "fiscalVariantId": 0,
27 "fiscalVariantDisplayId": "string"
28 }
29 ]
30}
Create Or Update Bulk¶
HTTP Request
PUT /api/v1/fiscal-periods/createOrUpdate/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "status": "CREATED",
5 "displayId": "string",
6 "erpSystemId": 0,
7 "erpSystemDisplayId": "string",
8 "year": 0,
9 "month": 0,
10 "day": 0,
11 "postingPeriod": 0,
12 "yearShift": 0,
13 "fiscalVariantId": 0,
14 "fiscalVariantDisplayId": "string"
15 }
16]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "status": "CREATED",
18 "displayId": "string",
19 "erpSystemId": 0,
20 "erpSystemDisplayId": "string",
21 "year": 0,
22 "month": 0,
23 "day": 0,
24 "postingPeriod": 0,
25 "yearShift": 0,
26 "fiscalVariantId": 0,
27 "fiscalVariantDisplayId": "string"
28 }
29 ]
30}
Create Or Update¶
HTTP Request
PUT /api/v1/fiscal-periods/createOrUpdate
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "status": "CREATED",
4 "displayId": "string",
5 "erpSystemId": 0,
6 "erpSystemDisplayId": "string",
7 "year": 0,
8 "month": 0,
9 "day": 0,
10 "postingPeriod": 0,
11 "yearShift": 0,
12 "fiscalVariantId": 0,
13 "fiscalVariantDisplayId": "string"
14}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "status": "CREATED",
17 "displayId": "string",
18 "erpSystemId": 0,
19 "erpSystemDisplayId": "string",
20 "year": 0,
21 "month": 0,
22 "day": 0,
23 "postingPeriod": 0,
24 "yearShift": 0,
25 "fiscalVariantId": 0,
26 "fiscalVariantDisplayId": "string"
27 }
28}
Bulk Update¶
HTTP Request
PUT /api/v1/fiscal-periods/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "status": "CREATED",
5 "displayId": "string",
6 "erpSystemId": 0,
7 "erpSystemDisplayId": "string",
8 "year": 0,
9 "month": 0,
10 "day": 0,
11 "postingPeriod": 0,
12 "yearShift": 0,
13 "fiscalVariantId": 0,
14 "fiscalVariantDisplayId": "string"
15 }
16]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "status": "CREATED",
18 "displayId": "string",
19 "erpSystemId": 0,
20 "erpSystemDisplayId": "string",
21 "year": 0,
22 "month": 0,
23 "day": 0,
24 "postingPeriod": 0,
25 "yearShift": 0,
26 "fiscalVariantId": 0,
27 "fiscalVariantDisplayId": "string"
28 }
29 ]
30}
Bulk Create¶
HTTP Request
POST /api/v1/fiscal-periods/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "status": "CREATED",
5 "displayId": "string",
6 "erpSystemId": 0,
7 "erpSystemDisplayId": "string",
8 "year": 0,
9 "month": 0,
10 "day": 0,
11 "postingPeriod": 0,
12 "yearShift": 0,
13 "fiscalVariantId": 0,
14 "fiscalVariantDisplayId": "string"
15 }
16]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "status": "CREATED",
18 "displayId": "string",
19 "erpSystemId": 0,
20 "erpSystemDisplayId": "string",
21 "year": 0,
22 "month": 0,
23 "day": 0,
24 "postingPeriod": 0,
25 "yearShift": 0,
26 "fiscalVariantId": 0,
27 "fiscalVariantDisplayId": "string"
28 }
29 ]
30}
Bulk Delete¶
HTTP Request
DELETE /api/v1/fiscal-periods/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
none |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {}
15}
Search¶
HTTP Request
POST /api/v1/fiscal-periods/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc |
body |
body |
false |
none |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
sort |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1 |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "statusEqual": "CREATED",
16 "statusIn": [
17 "CREATED"
18 ],
19 "displayIdIn": [
20 "string"
21 ],
22 "displayIdLike": "string",
23 "erpSystemIdEqual": 0,
24 "erpSystemIdIn": [
25 0
26 ],
27 "erpSystemDisplayIdLike": "string",
28 "yearLike": "string",
29 "monthLike": "string",
30 "dayLike": "string",
31 "postingPeriodLike": "string",
32 "yearShiftEqual": 0,
33 "fiscalVariantIdEqual": 0,
34 "fiscalVariantDisplayIdLike": "string"
35}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "pageSize": 0,
7 "unpaged": true,
8 "paged": true,
9 "offset": 0,
10 "sort": {
11 "sorted": true,
12 "unsorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "status": "CREATED",
22 "displayId": "string",
23 "erpSystemId": 0,
24 "erpSystemDisplayId": "string",
25 "year": 0,
26 "month": 0,
27 "day": 0,
28 "postingPeriod": 0,
29 "yearShift": 0,
30 "fiscalVariantId": 0,
31 "fiscalVariantDisplayId": "string"
32 }
33 ],
34 "number": 0,
35 "sort": {
36 "sorted": true,
37 "unsorted": true,
38 "empty": true
39 },
40 "first": true,
41 "last": true,
42 "empty": true
43}
Detach Fiscal Variant¶
HTTP Request
POST /api/v1/fiscal-periods/detach/fiscal-variant/{fiscalVariantId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
fiscalVariantId |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "status": "CREATED",
5 "displayId": "string",
6 "erpSystemId": 0,
7 "erpSystemDisplayId": "string",
8 "year": 0,
9 "month": 0,
10 "day": 0,
11 "postingPeriod": 0,
12 "yearShift": 0,
13 "fiscalVariantId": 0,
14 "fiscalVariantDisplayId": "string"
15 }
16]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {}
15}
Attach Fiscal Variant¶
HTTP Request
POST /api/v1/fiscal-periods/attach/fiscal-variant/{relation_id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
relation_id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "status": "CREATED",
5 "displayId": "string",
6 "erpSystemId": 0,
7 "erpSystemDisplayId": "string",
8 "year": 0,
9 "month": 0,
10 "day": 0,
11 "postingPeriod": 0,
12 "yearShift": 0,
13 "fiscalVariantId": 0,
14 "fiscalVariantDisplayId": "string"
15 }
16]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {}
15}
Find All¶
HTTP Request
GET /api/v1/fiscal-periods
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "pageSize": 0,
7 "unpaged": true,
8 "paged": true,
9 "offset": 0,
10 "sort": {
11 "sorted": true,
12 "unsorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "status": "CREATED",
22 "displayId": "string",
23 "erpSystemId": 0,
24 "erpSystemDisplayId": "string",
25 "year": 0,
26 "month": 0,
27 "day": 0,
28 "postingPeriod": 0,
29 "yearShift": 0,
30 "fiscalVariantId": 0,
31 "fiscalVariantDisplayId": "string"
32 }
33 ],
34 "number": 0,
35 "sort": {
36 "sorted": true,
37 "unsorted": true,
38 "empty": true
39 },
40 "first": true,
41 "last": true,
42 "empty": true
43}
Create¶
HTTP Request
POST /api/v1/fiscal-periods
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "status": "CREATED",
4 "displayId": "string",
5 "erpSystemId": 0,
6 "erpSystemDisplayId": "string",
7 "year": 0,
8 "month": 0,
9 "day": 0,
10 "postingPeriod": 0,
11 "yearShift": 0,
12 "fiscalVariantId": 0,
13 "fiscalVariantDisplayId": "string"
14}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "status": "CREATED",
17 "displayId": "string",
18 "erpSystemId": 0,
19 "erpSystemDisplayId": "string",
20 "year": 0,
21 "month": 0,
22 "day": 0,
23 "postingPeriod": 0,
24 "yearShift": 0,
25 "fiscalVariantId": 0,
26 "fiscalVariantDisplayId": "string"
27 }
28}
Get Metadata¶
HTTP Request
GET /api/v1/fiscal-periods/meta
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "YEAR"
3]
Response Schema
Get All By Fiscal Variant¶
HTTP Request
GET /api/v1/fiscal-periods/fiscal-variant/{fiscalVariantId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
fiscalVariantId |
path |
integer(int64) |
true |
none |
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "pageSize": 0,
7 "unpaged": true,
8 "paged": true,
9 "offset": 0,
10 "sort": {
11 "sorted": true,
12 "unsorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "status": "CREATED",
22 "displayId": "string",
23 "erpSystemId": 0,
24 "erpSystemDisplayId": "string",
25 "year": 0,
26 "month": 0,
27 "day": 0,
28 "postingPeriod": 0,
29 "yearShift": 0,
30 "fiscalVariantId": 0,
31 "fiscalVariantDisplayId": "string"
32 }
33 ],
34 "number": 0,
35 "sort": {
36 "sorted": true,
37 "unsorted": true,
38 "empty": true
39 },
40 "first": true,
41 "last": true,
42 "empty": true
43}
Find All By System Id¶
HTTP Request
GET /api/v1/fiscal-periods/erp-system/{systemId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
systemId |
path |
integer(int64) |
true |
none |
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "pageSize": 0,
7 "unpaged": true,
8 "paged": true,
9 "offset": 0,
10 "sort": {
11 "sorted": true,
12 "unsorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "status": "CREATED",
22 "displayId": "string",
23 "erpSystemId": 0,
24 "erpSystemDisplayId": "string",
25 "year": 0,
26 "month": 0,
27 "day": 0,
28 "postingPeriod": 0,
29 "yearShift": 0,
30 "fiscalVariantId": 0,
31 "fiscalVariantDisplayId": "string"
32 }
33 ],
34 "number": 0,
35 "sort": {
36 "sorted": true,
37 "unsorted": true,
38 "empty": true
39 },
40 "first": true,
41 "last": true,
42 "empty": true
43}